import request from '@/utils/request'





// 
// 


// 查询  id
export function queryDictionaryId(query) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/queryDictionaryId',
        method: 'get',
        params: query
    })
}


// 查询  用法  表单
export function listCommonUsage(query) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/queryUsageList',
        method: 'get',
        params: query
    })
}


//  添加 用法 
export function addUsage(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/addUsage',
        method: 'post',
        data: data,
    })
}

//   修改 用法
export function updateUsage(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/updateUsage',
        method: 'post',
        data: data
    })
}

// 查询详细 用法
export function getInfoUsage(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/getInfoUsage/' + id,
        method: 'get'
    })
}

// 
// 删除 用法
export function removeUsage(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/removeUsage/' + id,
        method: 'delete'
    })
}

// 查询  用量  表单
export function listCommonDose(query) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/queryDoseList',
        method: 'get',
        params: query
    })
}

//  添加 用量 
export function addDose(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/addDose',
        method: 'post',
        data: data
    })
}

//   修改 用量
export function updateDose(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/updateDose',
        method: 'post',
        data: data
    })
}

// 查询详细 用量
export function getInfoDose(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/getInfoDose/' + id,
        method: 'get'
    })
}

//  
// 删除 用量
export function removeDose(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/removeDose/' + id,
        method: 'delete'
    })
}

//  查询  食用时间
export function listEatingTime(query) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/queryEatingTimeList',
        method: 'get',
        params: query
    })
}

//  添加  食用时间
export function addEatingTime(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/addEatingTime',
        method: 'post',
        data: data
    })
}

// 修改 食用时间
export function updateEatingTime(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/updateEatingTime',
        method: 'post',
        data: data
    })
}

// 查询详细 食用时间
export function getInfoEatingTime(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/getInfoEatingTime/' + id,
        method: 'get'
    })
}

// 
// 删除 食用时间
export function removeEatingTime(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/removeEatingTime/' + id,
        method: 'delete'
    })
}

//  查询  次数  Frequency
export function listFrequency(query) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/queryFrequencyList',
        method: 'get',
        params: query
    })
}

// 添加  次数
export function addFrequency(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/addFrequency',
        method: 'post',
        data: data
    })
}

// 修改 次数
export function updateFrequency(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/updateFrequency',
        method: 'post',
        data: data
    })
}

// 查询详细 次数
export function getInfoFrequency(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/getInfoFrequency/' + id,
        method: 'get'
    })
}

// 
// 删除 次数
export function removeFrequency(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/removeFrequency/' + id,
        method: 'delete'
    })
}



// 查询 字典
export function queryDictionary(query) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/queryDictionary',
        method: 'get',
        params: query
    })
}

// 查询详细 字典
export function getInfo(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/' + id,
        method: 'get'
    })
}

// 添加  字典
export function addDictionary(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/addDictionary',
        method: 'post',
        data: data
    })
}

// 修改 字典
export function updateDictionary(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/updateDictionary',
        method: 'post',
        data: data
    })
}

// 删除 字典
export function remove(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/' + id,
        method: 'delete'
    })
}

//

//  查询  症状  symptom
export function listSymptom(query) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/querySymptomList',
        method: 'get',
        params: query
    })
}

// 添加  症状
export function addSymptom(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/addSymptom',
        method: 'post',
        data: data
    })
}

// 修改 症状
export function updateSymptom(data) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/updateSymptom',
        method: 'post',
        data: data
    })
}

// 查询详细 症状
export function getInfoSymptom(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/getInfoSymptom/' + id,
        method: 'get'
    })
}

// 
// 删除 症状
export function removeSymptom(id) {
    return request({
        url: '/outpatientService/healthcareOsConventionalValue/removeSymptom/' + id,
        method: 'delete'
    })
}